/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.ParadaSecuencia;
import com.rjconsultores.ventaboletos.entidad.Via;
import com.rjconsultores.ventaboletos.web.utilerias.MyTextbox;

/**
 * 
 * @author Rafius
 */
public class RenderCatalogoDeRutasSecuencia implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		ParadaSecuencia ps = (ParadaSecuencia) o;

		Listcell lc = new Listcell(ps.getSecuencia().toString());
		lc.setParent(lstm);

		Parada parada = ps.getParada();
		if (parada != null) {
			lc = new Listcell();
			MyTextbox txtParada = new MyTextbox();
			txtParada.setValue(parada.getCveparada() + " - " + parada.getDescparada());
			txtParada.setStyle("border-style : none; background: #FFF; color: black; text-transform:uppercase;");
			txtParada.setReadonly(true);
			txtParada.setAttribute("parada", parada);
			lc.addForward("onDoubleClick", lstm.getParent(), "onDoubleClick");
			lc.appendChild(txtParada);
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		Via via = ps.getVia();
		if (via != null) {
			lc = new Listcell(via.getNombvia());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		String casetas = ps.getCasetasTxt();
		if (via != null) {
			lc = new Listcell(casetas);
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		lc = new Listcell((ps.getKmReal() == null) ? "" : ps.getKmReal());
		lc.setParent(lstm);
		
		lc = new Listcell((ps.getKmEntradaSaida() == null) ? "" : ps.getKmEntradaSaida());
		lc.setParent(lstm);

		lc = new Listcell((ps.getTempoReal() == null) ? "" : ps.getTempoReal());
		lc.setParent(lstm);

		lstm.setAttribute("data", ps);
	}
}
